# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.52.16+1.930.67.34 -> 1.930.52.17
#	arch/ia64/kernel/efi.c	1.7.1.4 -> 1.12   
#	arch/ia64/kernel/irq.c	1.7.1.2 -> 1.10   
#	arch/ia64/kernel/perfmon.c	1.7.1.10 -> 1.15   
#	 arch/ia64/mm/init.c	1.7.1.4 -> 1.12   
#	arch/ia64/kernel/acpi.c	1.6.3.5 -> 1.18   
#	arch/ia64/kernel/machvec.c	1.1.1.2 -> 1.4    
#	arch/ia64/hp/common/sba_iommu.c	1.1.2.1 -> 1.9    
#	arch/ia64/lib/swiotlb.c	1.7.1.3 -> 1.11   
#
diff -Nru a/arch/ia64/hp/common/sba_iommu.c b/arch/ia64/hp/common/sba_iommu.c
--- a/arch/ia64/hp/common/sba_iommu.c	Wed Oct  8 09:05:34 2003
+++ b/arch/ia64/hp/common/sba_iommu.c	Wed Oct  8 09:05:34 2003
@@ -130,6 +130,7 @@
 
 #define ZX1_IOC_ID	((PCI_DEVICE_ID_HP_ZX1_IOC << 16) | PCI_VENDOR_ID_HP)
 #define REO_IOC_ID	((PCI_DEVICE_ID_HP_REO_IOC << 16) | PCI_VENDOR_ID_HP)
+#define SX1000_IOC_ID	((PCI_DEVICE_ID_HP_SX1000_IOC << 16) | PCI_VENDOR_ID_HP)
 
 #define ZX1_IOC_OFFSET	0x1000	/* ACPI reports SBA, we want IOC */
 
@@ -1634,6 +1635,7 @@
 static struct ioc_iommu ioc_iommu_info[] __initdata = {
 	{ ZX1_IOC_ID, "zx1", ioc_zx1_init },
 	{ REO_IOC_ID, "REO" },
+	{ SX1000_IOC_ID, "sx1000" },
 };
 
 static struct ioc * __init
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:05:34 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:05:34 2003
@@ -708,4 +708,21 @@
 	return gsi_to_vector(irq);
 }
 
+int
+acpi_register_irq (u32 gsi, u32 polarity, u32 mode)
+{
+	int vector = 0;
+
+	if (has_8259 && gsi < 16)
+		return isa_irq_to_vector(gsi);
+
+	if (!iosapic_register_intr)
+		return 0;
+
+	/* Turn it on */
+	vector = iosapic_register_intr(gsi, polarity ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
+			mode ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
+	return vector;
+}
+
 #endif /* CONFIG_ACPI_BOOT */
